Bug 969940 - Jenkins server cannot show correct log from /log/all page
Jenkins server cannot show correct log from /log/all page
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 02:25 EDT by Meng Bo
Modified: 2015-05-14 19:20 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:47:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2013-06-03 02:25:44 EDT
Description of problem:
Create jenkins server, add jenkins client to any type of app. Use jenkins push build the change.
During building, check the jenkins log via http://<jenkins_url>/log/all to see the jenkins log.

Will get something like:
Jun 03, 2013 1:41:59 AM winstone
FINEST: Param line: {}

Jun 03, 2013 1:41:59 AM winstone
FINER: Parsing parameters:  (using encoding (null))

Jun 03, 2013 1:41:59 AM winstone
FINEST: Called ServletResponse.getOutputStream()

Jun 03, 2013 1:41:59 AM winstone
FINER: Executing Filter: plugins-filter

Jun 03, 2013 1:41:59 AM winstone
FINER: Executing Filter: csrf-filter

Jun 03, 2013 1:41:59 AM winstone
FINER: Executing Filter: authentication-filter

Jun 03, 2013 1:41:59 AM winstone
FINER: Executing Filter: compression-filter

Jun 03, 2013 1:41:59 AM winstone
FINER: Executing Filter: encoding-filter

Jun 03, 2013 1:41:59 AM winstone
FINEST: Passed authentication check

Jun 03, 2013 1:41:59 AM winstone
FINEST: Evaluating security constraint: Security Constraint #0

Jun 03, 2013 1:41:59 AM winstone
FINEST: Starting authentication check

Jun 03, 2013 1:41:59 AM winstone
FINEST: Resetting buffer - discarding 0 bytes

Jun 03, 2013 1:41:59 AM winstone
FINER: FORWARD: servlet=Stapler, path=/log/all

Jun 03, 2013 1:41:59 AM winstone
FINEST: Processing with RD: Stapler

Jun 03, 2013 1:41:59 AM winstone


Version-Release number of selected component (if applicable):
STG (devenv-stage_356)

How reproducible:
always

Steps to Reproduce:
1.Create jenkins server
2.Trigger build via jenkins for any type of app
3.Check the /log/all page

Actual results:
Will not get correct jenkins log, please refer to description.

Expected results:
Should get the jenkins log like:
Jun 03, 2013 1:37:17 AM hudson.plugins.openshift.OpenShiftCloud reloadConfig
INFO: Config reload result: 
Jun 03, 2013 1:37:17 AM hudson.plugins.openshift.OpenShiftSlave <init>
INFO: Creating slave with 15mins time-to-live
Jun 03, 2013 1:37:17 AM com.openshift.internal.client.RestService request
INFO: Requesting GET on https://stg.openshift.redhat.com/broker/rest/cartridges
Jun 03, 2013 1:37:18 AM hudson.plugins.openshift.OpenShiftSlave createApp
INFO: Creating builder application python-2.7 py27bldr bmengstg of size small ...
Jun 03, 2013 1:37:18 AM com.openshift.internal.client.RestService request
INFO: Requesting POST on https://stg.openshift.redhat.com/broker/rest/domains/bmengstg/applications


Additional info:
Using "rhc tail jenkins" will get the correct jenkins log.
Comment 1 Dan McPherson 2013-08-08 18:59:12 EDT
https://github.com/openshift/origin-server/pull/3319
Comment 3 Meng Bo 2013-08-09 00:00:43 EDT
The pull request dose not merged into devenv_3632,

With manually apply the change to current jenkins app.

The /log/all page should the correct jenkins log.

Move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.